View Issue Details

IDProjectCategoryView StatusLast Update
0000666Kali Linux[All Projects] Kali Package Bugpublic2014-01-09 03:44
Reporterzagrebod Assigned Tosteev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.5 
Target VersionFixed in Version1.0.6 
Summary0000666: wifi adapters refuse to work in 1.0.5 rpi
Descriptionwifi adapters refuse to work in 1.0.5 rpi
both alfa awus NHA and H refuse to work in 1.0.5 rpi but they do work in x64 x86
everyone on forum has the same issue

"Same issue here. Kali armel 1.0.5. Two reimages, four different WLAN nic's (rtl8187, rtl8188SU, RT3070).
Despite an adapter appearing to be proberly detected and initialised by mac81022 and ieee80211 subsys there's something fundamentally missing from the build that's required for the full wireless stack to operate correctly."

more info here:

https://forums.kali.org/showthread.php?13-Install-Kali-ARM-on-a-Raspberry-Pi/page2

https://forums.kali.org/showthread.php?18146-wireless-not-showing-when-iwconfig-on-latest-1-0-4-on-rpi

Activities

steev

2013-10-23 07:33

developer   ~0001041

The 1.0.5 image, was using the cutdown config. This is changed, and using the full config now. It would definitely help to provide the dmesg to this bug, as well.

Pointing to forums posts are fine, but the bug tracker is where the magic happens, and it's good to have all the information in one place.

I'll be testing an image shortly, to verify the fixes. I have all of the wifi cards listed that people say they are having issues with (possible exception is the 8188U). The suggestion in one of the forums posts about adding fake-hwclock is a good one, and I'll be adding that to the next test image before release.

rpilover

2014-01-09 03:00

reporter   ~0001301

I've encountered this issue in both Kali 1.04 and 1.05 and recently overcame it by loading Kali 1.00 and apt-get upgrade/update/dist-upgrade. I don't know how this got broken or how to fix it in future versions, but as a workaround to get network functionality with a variety of popular NICs and modern versions of the pentesting programs, try reloading and upgrading the distro manually.

steev

2014-01-09 03:34

developer   ~0001302

no need for that, we are going to be pushing the fixed image soon. just waiting on everything to be all caught up.

steev

2014-01-09 03:43

developer   ~0001303

This is fixed in 1.0.6. Thanks for the report, and apologies for taking so long to get the fix out.

Issue History

Date Modified Username Field Change
2013-10-23 06:42 zagrebod New Issue
2013-10-23 07:33 steev Note Added: 0001041
2013-10-23 07:35 steev Assigned To => steev
2013-10-23 07:35 steev Status new => assigned
2014-01-09 03:00 rpilover Note Added: 0001301
2014-01-09 03:34 steev Note Added: 0001302
2014-01-09 03:43 steev Note Added: 0001303
2014-01-09 03:43 steev Status assigned => closed
2014-01-09 03:43 steev Resolution open => fixed
2014-01-09 03:43 steev Fixed in Version => 1.0.6
2014-01-09 03:44 muts Status closed => resolved